Bug 456889 - winbindd crashes constantly
winbindd crashes constantly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 219688
  Show dependency treegraph
 
Reported: 2008-07-28 09:49 EDT by Helge Deller
Modified: 2008-10-15 22:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 12:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
winbindd crash output (9.50 KB, text/plain)
2008-08-26 09:23 EDT, Helge Deller
no flags Details

  None (edit)
Description Helge Deller 2008-07-28 09:49:36 EDT
Description of problem:
winbindd crashes with core file.
Just restarted winbindd 5 minutes ago and have again 4 core files (which fills 
up the filesystem quite fast).

Version-Release number of selected component (if applicable):
samba-3.2.0-2.17.fc9.i386

core file attached.
Comment 6 Guenther Deschner 2008-07-29 10:57:23 EDT
Can you please try the packages available soon at
http://koji.fedoraproject.org/koji/taskinfo?taskID=745373 ?
Comment 7 Fedora Update System 2008-08-25 14:16:37 EDT
samba-3.2.2-0.19.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/samba-3.2.2-0.19.fc9
Comment 8 Helge Deller 2008-08-26 09:23:21 EDT
Created attachment 314997 [details]
winbindd crash output

This winbindd has at least 2 problems:

1. It crashes when started as "winbindd -i" on a command line. See attached log.

2. It prevents users (even root-user) to log in to the system via ssh or on a local console.
Comment 9 Guenther Deschner 2008-08-26 09:34:05 EDT
(In reply to comment #8)
> Created an attachment (id=314997) [details]
> winbindd crash output
> 
> This winbindd has at least 2 problems:
> 
> 1. It crashes when started as "winbindd -i" on a command line. See attached
> log.

Ok, the second effect results from the first.

Can we have a core file of a crashing winbindd ?
Comment 10 Helge Deller 2008-08-26 09:39:55 EDT
Just tested -0.18 again, and noticed, that it dumpcores the same way as -0.19.
But in contrast to -0.19, -0.18 lets users log in.
Comment 11 Helge Deller 2008-08-26 09:43:32 EDT
regarding comment #9:
> Ok, the second effect results from the first.

Just to clarify, the crashdump in -0.18 and -0.19 happened (and it's not nice), but then 0.18 continued, while 0.19 prevent logins.
So, I don't think that the crash is the primary reason for the regression.

We just switched back to 0.18. Would a core dump of that help you?
Comment 12 Guenther Deschner 2008-08-26 09:48:11 EDT
Yes, a core file of the -0.19 winbind please.
Comment 14 Guenther Deschner 2008-08-26 12:46:41 EDT
Ok, we identified one error in the patch.

Can you please try the packages available soon at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=787196 ?
Comment 15 Guenther Deschner 2008-08-26 15:06:37 EDT
Forget comment #13, take packages from here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=787407
Comment 16 Nils Philippsen 2008-08-27 09:28:28 EDT
-0.20 winbindd works so far without dumped cores
Comment 17 Nils Philippsen 2008-08-27 12:00:31 EDT
still no coredumps, but looks good from here
Comment 18 Fedora Update System 2008-09-18 15:54:50 EDT
samba-3.2.4-0.21.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/samba-3.2.4-0.21.fc9
Comment 19 Fedora Update System 2008-09-24 20:22:48 EDT
samba-3.2.4-0.21.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8324
Comment 20 Helge Deller 2008-09-26 06:12:47 EDT
Just installed it, and it seems to work great. I'll continue testing, but I think you can close this bug. In case problems do arise, I'll reopen it.
Thanks a lot!
Comment 21 Fedora Update System 2008-10-15 22:09:33 EDT
samba-3.2.4-0.21.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.